# Changelog

Das Format dieser Datei basiert auf [Keep a Changelog](https://keepachangelog.com/de).

Das hier veröffentlichte Changelog bezieht sich auf die [Test-Umgebung von FIT-Connect](getting-started/environments.mdx).

## 2023-09-26
### Zustelldienst 1.12.0 {#zustelldienst-1-12-0}
- Implementiert [submission-api 1.2.1](#submission-api-1.2.1)
- Prüfung, ob der übermittelte Leistungsschlüssel (von `POST /v1/submissions`) in der Liste der unterstützten Verwaltungsleistungen des Zustellpunktes (von `GET /v1/destinations/{destinationId}`) vorhanden ist. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/924[planning#924]))
- Bugfix: `callback` Feld aus der Response von `GET /v1/submissions/{submissionId}` entfernt ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/984))
- Bugfix: Prüfung, ob Statuswechsel einer Submission zulässig ist ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1033))
- Bugfix: Format der Problemliste im „reject-submission“-Ereignis korrigiert, damit es dem Schema entspricht ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1100))
- Bugfix: Es wurde ein Problem behoben, dass beim Löschen ein Teil der Daten weiter gespeichert blieb ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1097))

### Submission API 1.2.1 {#submission-api-1.2.1}
- `callback` aus der Response von `GET /v1/submissions/{submissionId}` ist als veraltet gekennzeichnet

## 2023-09-19
### OAuth-Server 14.2
- Der OAuth-Server Connect2id wurde auf Version 14.2 aktualisiert. ([Task](https://git.fitko.de/fit-connect/planning/-/issues/1125))

## 2023-09-12
### Self Service Portal 2.1.3
Features:
- i18n Unterstützung legt die Basis für Internationalisierung im SSP ([Story](https://git.fitko.de/fit-connect/planning/-/issues/805))
- Bugfix: Probleme die das Speichern verhindert haben, wurden behoben oder wurden explizit gemacht ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/903))
- Bugfix: Kontaktinformationen können wieder wie gewohnt bearbeitet werden ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1239))
- Dependency Updates ([MR-209](https://git.fitko.de/fit-connect/self-service-portal-frontend/-/merge_requests/209), [MR-207](https://git.fitko.de/fit-connect/self-service-portal-frontend/-/merge_requests/207), [MR-206](https://git.fitko.de/fit-connect/self-service-portal-frontend/-/merge_requests/206))

## 2023-08-31
### Dokumentation
- Änderungen am .NET-SDK finden Sie nun im [Changelog](./sdks/net-sdk/changelog.mdx) für das .NET-SDK. 
- Änderungen am Java-SDK finden Sie im [Changelog](./sdks/java-sdk/changelog.mdx) für das Java-SDK. 

## 2023-08-24
### Self Service Portal 2.1.2
- Bugfix: Client-Secret nicht abrufbar ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1222))

## 2023-08-17
### Self Service Portal 2.1.1
- Kleinere Textanpassungen

### Self Service Portal 2.1.0
- Neues Designsystem eingeführt ([Story](https://git.fitko.de/fit-connect/planning/-/issues/1083))
- Neue Oberfläche für die Client-Liste ([Story](https://git.fitko.de/fit-connect/planning/-/issues/770))
- Neue Oberfläche für die Client-Verwaltung ([Story](https://git.fitko.de/fit-connect/planning/-/issues/385))
- Verbesserte Anzeige von Fehlermeldungen ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1108))
- Behoben: Fehler bei der Anzeigen von Seiten mit viel Content ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1202))
- Behoben: Fehler bei der Statusänderung ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1124))
- Behoben: Korrektur von Rechtschreibfehlern ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1088))

### Self Service Portal 2.0.4
- Kleinere Wartungsarbeiten


## 2023-08-01
### Zustelldienst 1.11.6 {#zustelldienst-1-11-6}
- Bugfix: Zustelldienst erstellt nicht-schemakonforme Reject-Events ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1100))
- Bessere Fehlermeldung für "destination-state-invalid" ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/492))
- Prüfung des Leistungsschlüssels im Zustelldienst, Teil 1: Es wird eine Warnung protokolliert, wenn der Leistungsschlüssel der Einreichung nicht zum Zustellpunkt passt ([Story](https://git.fitko.de/fit-connect/planning/-/issues/316))

## 2023-07-18
### Konfigurationsänderung: Anzahl der Zustellpunkte pro Benutzerkonto begrenzt
- Es wurde ein Limit von 30 Zustellpunkten (Destinations) pro Account eingeführt.

### Konfigurationsänderung: JWE Validierung aktiviert
- Die JWE Validierung wurde aktiviert. Der Zustelldienst prüft nun alle eingereichten verschlüsselten Objekte und weist nicht spezifikationskonforme Übertragungen zurück.

### Konfigurationsänderung: Zertifikate mit Zertifikatskette
- Die Zertifikate des Self-Service-Portals und des Zustelldienstes wurden um eine Zertifikatskette mit selbsigniertem Zertifikat erweitert ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/502))

## 2023-07-05
### Self Service Portal 2.0.3
- Kleinere Fehlerbeseitigungen auf Zustellpunkt Editieren Seite.

## 2023-07-05
### Self Service Portal 2.0.2
- Fehlerbeseitigung auf Zustellpunkt Editieren Seite. ([Bug](https://gitlab.opencode.de/fitko/feedback/-/issues/50))

## 2023-06-29
### Self Service Portal 2.0.1
- Fehlerbeseitigung auf Zustellpunkt Editieren Seite. ([Bug](https://gitlab.opencode.de/fitko/feedback/-/issues/49))

## 2023-06-27
### Self Service Portal 2.0.0
- Fehlerbeseitigung auf Zustellpunkt Editieren Seite. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/1078))
- Self Service API stellt Info Endpunkt bereit. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/800))
- Übersicht über Zustellpunkte enthält nun Zustellpunkt-Details. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/771))

## 2023-06-20
### Zustelldienst 1.11.4 {#zustelldienst-1-11-4}
- Fehlerbehebung ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/981))

## 2023-05-23
### Zustelldienst 1.11.3 {#zustelldienst-1-11-3}
- Submission API 1.2.0: CORS-Header für Zugriffe auf frei zugängliche Endpunkte. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/586))
- Aktiviert die öffentliche Erreichbarkeit des Endpunktes `GET /destinations/{destinationId}` ([Story](https://git.fitko.de/fit-connect/planning/-/issues/742))

### Submission API 1.2.0  {#submission-api-1-2-0}
- CORS-Header für Zugriffe auf frei zugängliche Endpunkte. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/586))

### Self Service Portal 1.7.1 {#self-service-portal-1-7-1}
- CORS-Header für Zugriffe auf frei zugängliche Endpunkte.
- Auswahl des neuen Metadatenschemas 1.1.0

### OAuth-Server 13.7.4
- Der OAuth-Server Connect2id wurde auf Version 13.7.4 aktualisiert. ([Task](https://git.fitko.de/fit-connect/planning/-/issues/1044))

## 2023-05-12
### Metadatenschema 1.1.0

- `$schema` Property wurde als Pattern hinzugefügt. Dadurch werden alle Versionen des Metadatenschemas unterstützt, die keinen _Breaking Change_ enthalten.
- `publicServiceType` wurde als `deprecated` markiert, da es eine redundante Information ist, die auch aus der Submission API entnommen werden kann.

### Security Event Token Payload 1.1.0
- `$schema` Property wurde von einem Enum in ein Pattern geändert. Dadurch werden alle Versionen des Security Event Token Payload Schemas unterstützt, die keinen _Breaking Change_ enthalten.

## 2023-05-04
### Zustelldienst 1.10.2   {#zustelldienst-1-10-2}
- Es wurde ein Problem beim automatischen Zurückweisen von Einreichungen behoben. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/981))

## 2023-05-02
### Dokumentation
- In die Hauptnavigation wurde der Menüpunkt "SDKs" eingefügt. 
Hier finden Sie die Dokumentation zu den Software Development Kits (SDKs) der FITKO. 
Mit den SDKs können Entwickler:innen sendende und empfangende Systeme einfacher an FIT-Connect anbinden.

## 2023-04-29
### Dokumentation
- Die Seite [Roadmap](./docs/roadmap) wurde neu gestaltet: 
Sie können nun die Grafik "Feature Roadmap" mit einem Mausklick vergrößern, 
um die geplanten Features für FIT-Connect deutlich zu sehen. 
Zudem enthält die Seite jetzt einen Link auf das [FIT-Connect Dashboard](https://dashboard.fit-connect.fitko.dev/), 
das eine Übersicht gibt zu den aktuellen Versionen der Dienste und APIs in jeder Umgebung von FIT-Connect.

## 2023-04-26
### Zustelldienst 1.10.1 {#zustelldienst-1-10-1}
- Der Zustelldienst akzeptiert und erzeugt jetzt Eventlog-Einträge gemäß der [SET-Payload-Schema-Version 1.1.0](https://schema.fitko.de/fit-connect/set-payload/1.1.0/). ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/994))
- Aktualisierung der Submission API auf [Version 1.1.3](https://schema.fitko.de/fit-connect/submission-api/1.1.3/)

## 2023-04-19
### Zustelldienst 1.10.0
- Der Zustelldienst gibt bei fehlender oder falscher Autorisierung nun korrekterweise den Content-Type json+problem zurück ([Story](https://git.fitko.de/fit-connect/planning/-/issues/501))
- Ein Bug im Zusammenhang mit dem OpenCoDE Login wurde behoben
- Der Zustelldienst akzeptiert nun keine leeren Anhänge mehr ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/503))

## 2023-03-30
### Zustelldienst 1.9.4
- Nachbesserung, da immer noch Fehlern beim Löschen von Submissions auftraten. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/868))

## 2023-03-28
### Zustelldienst 1.9.3
- Fehler beim Löschen von Submissions behoben. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/868))


## 2023-03-23
### Self Service Portal 1.6.0
- Das Design der Login-Seite des Self-Service-Portals wurde neugestaltet und orientiert sich jetzt am Design des restlichen Portals. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/384))
- [OpenCoDE](https://opencode.de) kann nun für die Authentifizierung im [Self-Service-Portal der Testumgebung](getting-started/account.mdx) genutzt werden. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/457))

## 2023-02-20
### Dokumentation
- Der [Umgang mit dem `replyChannel`-Attribut im Metadatensatz](receiving/verification.mdx) durch Subscriber wurde angepasst/korrigiert.

## 2023-02-14
### Self Service Portal 1.5.3
- Das Formular zum Anlegen und Verwalten von Zustellpunkten unterstützt jetzt mehrere Verwaltungsleistungen pro Zustellpunkt, die auch mehrere Regionen und Fachdatenschemas enthalten können. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/443))
- Fehlerhafte Texte in dem Formular zum Anlegen und Verwalten von Zustellpunkten wurden korrigiert. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/853))
- Die fehlerhafte Verarbeitung von Callbacks im Formular zum Anlegen und Verwalten von Zustellpunkten wurde korrigiert. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/903))

## 2023-01-16
### Dokumentation
- Die [Code-Beispiele zur Prüfung der in der Routing-API enthaltenen Signaturen](sending/get-destination.mdx) wurden überarbeitet.

## 2023-01-13
### Dokumentation
- Auf den [Seiten zum Metadatenschema](metadata/overview.mdx) wurden die Beispiele aktualisiert und einige inhaltliche Fehler korrigiert.

## 2022-12-20
### Self Service Portal 1.5.2
- Der Hilfe-Link zum Antrags-Routing wurde auf der Destination-Übersicht angepasst. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/684))
- Content-Security-Policy-Header wurde hinzugefügt. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/479))
- Callback-URL-Validation im Input-Feld. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/206))

## 2022-12-13
### Dokumentation
- Die Seite [Roadmap](roadmap.mdx) wurde aktualisiert.

## 2022-12-12
### Dokumentation
- Die Seite "Infos für Entwickler:innen > Versand von Einreichungen > [Überblick](sending/overview.mdx)" enthält jetzt ein Tutorial, das alle Schritte zeigt, um Einreichungen über FIT-Connect zu versenden.
- Die Seite "Infos für Entwickler:innen > Abruf von Einreichungen > [Überblick](receiving/overview.mdx)" enthält jetzt ein Tutorial, das die Voraussetzungen für den Empfang von Einreichungen erläutert.

## 2022-12-02
### Dokumentation
- Hinweis zur [Nutzung des `$schema`-Attributs in Version 1.0.0 des Metadatenschemas](getting-started/submission/metadata.mdx) ergänzt.
- Hinweis zur [Prüfung der Existenz des `$schema`-Attributs](receiving/verification.mdx#required-schema-reference) ergänzt.

## 2022-11-30
### Dokumentation
- Die Rubrik "Leitfäden zur Anbindung an FIT-Connect" wurde verschoben. Sie befindet sich jetzt zu Beginn der Rubrik "Infos für Entwickler:innen".
- Die Seite [Schemavalidierung](getting-started/schema-validation.mdx) wurde an die Version 1.0.0 des Metadatenschemas angepasst.
- Das Layout der [Terminseite](https://docs.fitko.de/fit-connect/termine) wurde vereinfacht. Zudem ist jetzt angegeben, in welchem Turnus die Veranstaltungen jeweils stattfinden.

## 2022-11-29
### Self Service Portal 1.5.1
- Session Cookie Restriction wurde auf LAX erhoben ([Story](https://git.fitko.de/fit-connect/planning/-/issues/474)).
- Die Spaltenbezeichnungen für Clients/Destinations auf der Client/Destination Übersichtsseite beziehen sich jetzt auf die jeweiligen Identifikationsnummern ([Story](https://git.fitko.de/fit-connect/planning/-/issues/681)).

## 2022-11-10
### Dokumentation
- Löschung [nach Empfangsbestätigung bzw. Zurückweisung einer Einreichung](getting-started/notifications-and-deletion-deadlines.mdx) dokumentiert.

## 2022-11-08
### Zustelldienst 1.9.2
- Interne Anpassungen/Wartungsarbeiten ohne Außenwirkungen.

### Zustelldienst 1.9.1
- Fix: Endpunkt `/v1/info` gibt jetzt die korrekte Version `1.1.1` zurück.

### Self Service Portal 1.5.0
- Umstieg auf neue React UI für das Erstellen und Bearbeiten von Zustellpunkten im Self-Service-Portal ([Story](https://git.fitko.de/fit-connect/planning/-/issues/442))

### Self Service Portal 1.4.4
- Erweiterung / Konsolidierung Self-Service API ([Story](https://git.fitko.de/fit-connect/planning/-/issues/582))

### Self Service Portal 1.4.3
- Konfiguration von OAuth-Clients zur Nutzung der Self-Service-API im Self-Service-Portal ([Story](https://git.fitko.de/fit-connect/planning/-/issues/541))
- Erstellen von Destinations via Self-Service API im SSP ([Story](https://git.fitko.de/fit-connect/planning/-/issues/581))

### Self Service Portal 1.4.2
- Interne Anpassungen/Wartungsarbeiten ohne Außenwirkungen.

### Self Service Portal 1.4.1
- Interne Anpassungen/Wartungsarbeiten ohne Außenwirkungen.

### Self Service Portal 1.4.0
- Anzahl der Zustellpunkte pro Benutzerkonto auf 50 reduziert

## 2022-11-02
### Zustelldienst 1.9.0
- Einbindung der JWK-Zertifikatsprüfungs-Bibliothek (`jwk-validator`) ([Story](https://git.fitko.de/fit-connect/planning/-/issues/548))
- Feature: Auslagerung der Zertifikatsprüfung in die eigenständige Bibliothek JWK-Validator ([Story](https://git.fitko.de/fit-connect/planning/-/issues/497))
- Improvement: SET-Schema 1.0.1 mit verbesserten internen Referenzen ohne Sonderzeichen (z.B. Tilde in den Event-URIs). Außer strukturellen Änderungen gint es keine fachlichen Anpassungen.

### Security Event Token Payload 1.0.1

- Improvement: SET-Schema 1.0.1 mit verbesserten internen Referenzen. Statt der Einbindung von Referenzen aus externen Dateien werden diese nun über das `definitions`-Attribut eingebunden (inline). Dies löst Problme mit JSON-Schema-Tooling. Das resultierende Schema entspricht semantisch exakt dem SET-Schema in Version 1.0.0. Insb. gibt es keine fachlichen Anpassungen.

## 2022-10-27
### Dokumentation
- Die Informationen zu den verfügbaren Betriebsumgebungen aus dem Artikel [Getting Started](getting-started/get-started.mdx) wurden in den neuen Artikel [Betriebsumgebungen](getting-started/environments.mdx) verschoben und um die URLs der Staging- und Produktivumgebung ergänzt.
- Hinweis auf Möglichkeit der Prüfung der für die SET-Erstellung genutzten Zertifikate in der Staging- und Produktivumgebung im Artikel [Prüfung eines Security-Event-Token (SET)](getting-started/event-log/set-validation.mdx) ergänzt

## 2022-10-26

### Submission API 1.1.3  {#submission-api113}

Version 1.1.3 der Submission API behebt u.a. einige Fehler der Version 1.1.2.

In den Endpunkten

- `GET /v1/destinations`
- `POST /v1/destinations`
- `POST /v1/destinations/<destinationId>/keys`
- `PUT /v1/destinations/<destinationId>`
- `PATCH /v1/destinations/<destinationId>`
- `DELETE /v1/destinations/<destinationId>`

sind folgende Änderungen vorgenommen worden:

- Der Endpunkt ist nicht mehr als `deprecated` markiert.
- Im Endpunkt wurde der Tag `Zustellpunktverwaltung` durch durch `Internal` ersetzt (reine Anpassung der API-Dokumentation ohne technische Änderungen). [Commit](https://git.fitko.de/fit-connect/submission-api/-/commit/3e763ec5052c1bd91ed140ac707f2b7d0c6f1cc4)

Weiterhin:
- Rückkanäle (`replyChannels`) wurden als `deprecated` markiert. Diese werden in Zukunft in die Services einer Destination verschoben. [Commit](https://git.fitko.de/fit-connect/submission-api/-/commit/d677e6eea06c52a4db269ef64ab22bef37b421df)
- Die API Spezifikation verwendet nun keine relativen Referenzen mehr. Dies hat zu Problemen bei Codegeneratoren geführt. [Commit](https://git.fitko.de/fit-connect/submission-api/-/commit/61ebe1eaadf4e4fc6e53e83ab4c77df4d3c92bfc)
- Die Anzeige der API Spezifikation im Browser ist nun schneller ohne die Abhängigkeit auf unpkg.com. [Commit](https://git.fitko.de/fit-connect/submission-api/-/commit/c2b1e1c9312ccabb5954710d9a86e5595698ef3f)
- Hinweis entfernt: Endpunkte mit Tag `Zustellpunktverwaltung` sind als `deprecated` anzusehen (reine Anpassung der API-Dokumentation ohne technische Änderungen).

## 2022-10-20

### Submission API 1.1.2

- Da das Destination Management in Zukunft über die Self-Service API gehandhabt wird sind einige Änderungen an der Submission API nötig:
  - Der Endpunkt `GET /v1/destinations` wurde als `deprecated` markiert.
  - Der Endpunkt `POST /v1/destinations` wurde als `deprecated` markiert.
  - Der Endpunkt `POST /v1/destinations` wurde mit `Zustellpunktverwaltung` statt `Internal` markiert.
  - Der Endpunkt `POST /v1/destinations/<destinationId>/keys` wurde als `deprecated` markiert.
  - Der Endpunkt `GET /v1/destinations/<destinationId>/keys/<keyId>` wurde vom Tag `Zustellpunktverwaltung` befreit.
  - Beim Endpunkt `GET /v1/destinations/<destinationId>` wurde der Tag `Zustellpunktverwaltung` durch `Einreichungsübermittlung` ersetzt.
  - Der Endpunkt `PUT /v1/destinations/<destinationId>` wurde als `deprecated` markiert.
  - Der Endpunkt `PATCH /v1/destinations/<destinationId>` wurde als `deprecated` markiert.
  - Der Endpunkt `DELETE /v1/destinations/<destinationId>` wurde als `deprecated` markiert.
- Die Fehler in den Beispielen im Endpunkt `PATCH /v1/destinations/<destinationId>` wurden behoben. [Commit](https://git.fitko.de/fit-connect/submission-api/-/commit/045fed84b19d1d1470d961c3580d2d0829fc409e)

## 2022-10-17
### Dokumentation
- Die Dokumentation beschreibt nun, wie Onlinedienste und Fachverfahren an FIT-Connect angebunden werden.  <br/>
Unter dem Menüpunkt "Infos für Verantwortliche > Onlinedienste anbinden > Überblick" finden Verantwortliche für einen Onlinedienst eine Auflistung aller Schritte, die zur Anbindung erforderlich sind.   <br/>
Unter dem Menüpunkt "Infos für Verantwortliche > Fachverfahren anbinden > Überblick" finden Verantwortliche für ein Fachverfahren eine Beschreibung der Anbindung, die auf sie abgestimmt ist.

## 2022-10-14
### Dokumentation
- Auf der neuen Seite "Newsletter" können Sie unseren Newsletter abonnieren, der über wichtige Änderungen bei FIT-Connect informiert (Releases, neue Features und sicherheitsrelevante Themen).
- Die FAQ finden Sie jetzt auf einer eigenen Seite, unter dem Menüpunkt "FAQ".

## 2022-10-13
### Dokumentation
- Dokumentation zur [Prüfung der `destinationSignature`](sending/get-destination.mdx#destinationSignature) überarbeitet und präzisiert.

## 2022-10-10
### Dokumentation
- Dokumentation zum Abruf des Event Log überarbeitet: Die Informationen des bisherigen Artikels "Status abfragen" wurden aufgeteilt in einen generischen Artikel [Event Log abrufen](getting-started/event-log/get-events.mdx) im Abschnitt "Ereignisprotokoll" und den bestehenden Artikel [Empfangsbestätigung oder Zurückweisung](sending/accept-reject.mdx). Zudem wurde ein Hinweis zur Prüfung der Authentizität und Integrität des Event Log ergänzt.
- Dokumentation der [Überprüfung des öffentlichen Schlüssels](sending/encrypt.mdx#certificateValidation) beim Verschlüsseln von Antragsdaten konkretisiert.

## 2022-10-07
### Dokumentation
- Der Menüpunkt "Termine" wurde in die Hauptnavigation eingefügt. Dieser Menüpunkt führt zu einer Seite, die die Beschreibung der Online-Veranstaltungen der FITKO enthält.

## 2022-10-04
### Zustelldienst 1.8.3
- Vereinheitlichen von Fehlermeldungen und erweitertes Logging
- Einschränkung der Werte der Callback-URL - Input Validation ([Story](https://git.fitko.de/fit-connect/planning/-/issues/206))
- Fix: Versenden von Callbacks an Sender bei Statusänderungen von Submissions ([Story](https://git.fitko.de/fit-connect/planning/-/issues/619))

### Zustelldienst 1.8.2
- Fix: Fehlerhafter Umgang mit doppelt vergebenen Attachment-IDs ([Story](https://git.fitko.de/fit-connect/planning/-/issues/493))

## 2022-09-16
### Submission API 1.1.1
- Der Endpunkt `POST /v1/destinations` wurde in die neue Gruppe `Internal` verschoben (reine Anpassung der API-Dokumentation ohne technische Änderungen).

## 2022-09-12
### Dokumentation
- Die Seite "Zustellpunkt ermitteln" befindet sich nun unter dem Menüpunkt "Infos für Entwickler:innen > Versand von Einreichungen".
- Die Seite "Konfiguration des Antragsroutings" ist nun in die Seite "Fachverfahren anbinden" integriert.
- Der Menüpunkt "Zuständigkeitsermittlung" ist entfallen.

## 2022-08-22
### Dokumentation
- Die Startseite wurde geändert.
- Inhalte, die bislang auf der Startseite zu finden waren, sind nun in den neuen Seiten "Anträge senden" und "Anträge empfangen" vorhanden, unterhalb des Menüpunkts "FIT-Connect nutzen".
- Der Menüpunkt "Infos für Verantwortliche" wurde eingeführt, mit den neuen Seiten "Fachverfahren anbinden", Onlinedienste/Softwareprogramme anbinden" und "Zertifikate beantragen".

## 2022-08-18
### Dokumentation
- Der Menüpunkt "Grundlagen" wurde umbenannt in "Infos für Entwickler:innen".
- Die Menüpunkte "Versand von Einreichung" und "Abruf von Einreichungen" befinden sich jetzt unterhalb des Menüpunkts "Grundlagen für Entwickler:innen".

## 2022-07-31
### Rouing API 1.0.1
- Beispielwerte für ARS, Leistungsschlüssel und Such-String ergänzt.

## 2022-07-26
### Zustelldienst 1.8.1
- Fix: Eine erfolgreiche Prüfung der Signatur von Zustellpunkten ohne Antwortkanäle (`replyChannels`) war nicht möglich. Dies wurde behoben. Alle alten Signaturen wurden erneut berechnet und im DVDV aktualisiert. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/487))
- Fix: Unter bestimmten Umständen war es möglich einen Anhang doppelt mit gleicher `attachmentId` zu hinterlegen.

### Zustelldienst 1.8.0
- Keine Exceptions in HTTP-Responses im Produktivbetrieb. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/59))
- Fix: Header callback-timestamp wird bei Wiederholungen des Callbacks nicht aktualisiert ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/500))

### Zustelldienst 1.7.0, 1.7.1
- Callback um Destination-ID ergänzen (Submission API `1.1.0`): Callbacks wurden um das Array 'submissions' ergänzt. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/301))
- Prüfung der JWE Objekte durch den Zustelldienst. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/338))

### Submission API 1.1.0
- Im `new-submissions`-Callback für Subscriber sind nun auch `destinationId` und `caseId` enthalten. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/301))

## 2022-06-29
### Zustelldienst 1.6.0, 1.6.1
- Anfertigen von Statistiken von Submissions (Fachdaten) und deren Anhängen. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/272))

## 2022-06-14
### Zustelldienst 1.5.15
- Prüfung der in Zustellpunkten hinterlegten Zertifikate (JWK). ([Story](https://git.fitko.de/fit-connect/planning/-/issues/119))
  Fehler in der Zertifikatskette werden vorerst nur geloggt.

## 2022-06-02
### Self Service Portal 1.3.7
- Fix: Es war möglich, sich über das Self-Service-Portal Zugriff auf fremde Destinations zu verschaffen
<!-- https://git.fitko.de/fit-connect/planning/-/issues/449 -->

### Zustelldienst 1.5.14
- Fix: SQL Fehler in DB Migration bzgl. Jobrunr

### Zustelldienst 1.5.13
- Benachrichtigung des technischen Ansprechpartners bei nicht-erfolgtem Abruf durch Subscriber - Szenario 1. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/304))
- Benachrichtigung des technischen Ansprechpartners bei nicht-erfolgtem Abruf durch Subscriber - Szenario 2. ([Story](https://git.fitko.de/fit-connect/planning/-/issues/372))
- Umsetzung korrekter HTTP Header wie Content-Security-Policy ([Story](https://git.fitko.de/fit-connect/planning/-/issues/308)) sowie X-Frame-Options und X-XSS-Protection ([Story](https://git.fitko.de/fit-connect/planning/-/issues/309)).

## 2022-05-03
### Dokumentation
- Dokumentation zu [Benachrichtigungen und Löschfristen](getting-started/notifications-and-deletion-deadlines.mdx) ergänzt.

### Zustelldienst 1.5.12
- Automatisches Abweisen von Einreichungen, wenn diese mehr als 14 Tage im Status 'submitted' bleiben.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/283))
- Automatisches Löschen von Einreichungen im Zustand 'incomplete' (nach 1 Tag), 'accepted' und 'rejected' (nach 7 Tagen).
  Gelöscht werden dabei Metainformationen und Anhänge der Einreichungen; ein entsprechender Eintrag wird im Ereignisprotokoll erzeugt.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/91))

## 2022-04-27
### Dokumentation
- [Beschreibung der Betriebsumgebungen](getting-started/get-started.mdx#environments) ergänzt

## 2022-04-21
### Zustelldienst 1.5.11
- Löschen der Zustellpunkte im DVDV wenn diese im Zustelldienst gelöscht werden.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/369))

## 2022-04-14
### Zustelldienst 1.5.10
- Fix: Das erste Anlegen eines SET Events (Submit Submission, Reject Submission etc.) nach dem (Neu)Start der Software erfolgt nun korrekt.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/393))
  - Dies ist ein Follow-up Fix für diesen [Bug](https://git.fitko.de/fit-connect/planning/-/issues/366), welcher das Problem
    in allen Fällen bis auf den ersten nach dem Software Neustart behoben hat.

## 2022-04-07
### Self Service Portal 1.3.6
- Fix: Der News Link im Header des SSP wurde bis auf Weiteres entfernt.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/370))
- Fix: Zustellpunkte, die mit einem Client verlinkt sind, können nun auch korrekt im SSP gelöscht werden. Vorher wurde
  der Zustellpunkt teilweise nur im Zustelldienst gelöscht. Dies führte dazu, dass im SSP Zustellpunkte - die schon
  gelöscht waren - noch z.B. in der Client Edit Form zur Auswahl angezeigt wurden.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/379))

### Zustelldienst 1.5.9
- Fix: Beim Anlegen einer Einreichung für eine spezielle caseId wird nun korrekt überprüft, ob diese CaseId überhaupt existiert.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/306))
- Fix: An den DVDV wurden falsch formatierte Werte für `alg` und `keyOp` übergeben ([Commit](https://git.fitko.de/fit-connect/zustelldienst/-/commit/ad3621d5addfddb3b11a2c100cb27fec279ee1fd), [Commit](https://git.fitko.de/fit-connect/zustelldienst/-/commit/b3d5df127a8f08ef8ebdf9cf5688c3d1b75a736b))

## 2022-04-01
### Dokumentation
- Dokumentation zur Sicherstellung der Integrität des Gesamtantrags für [sendende](sending/metadata.mdx#integrity) und [empfangende Systeme](receiving/verification.mdx#integrity).

## 2022-03-28
### Zustelldienst 1.5.6
- Signed Event Tokens werden jetzt auch korrekt angenommen, wenn der "issued at" (iat) Claim 5 Minuten in der Zukunft
  liegt. Dies ist hilfreich, wenn das ausstellende System kleine Abweichungen in der Systemzeit im Vergleich zur
  Zustelldienst-Systemzeit hat.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/362))
- Der Zustelldienst kann jetzt alle zulässigen Signed Event Token Payload Schemas prüfen, ohne dafür zur Laufzeit einen
  Download durchzuführen. Bis jetzt gab es Probleme, wenn der Zustelldienst nur über einen Proxy
  auf das Internet zugreifen kann. Gleichzeitig ist es jetzt möglich das Signed Event Token Payload Schema in der
  Version [1.0.0](https://schema.fitko.de/fit-connect/set-payload/1.0.0/set-payload.schema.json) sowie weiterhin
  [0.1.0](https://schema.fitko.de/fit-connect/set-payload/0.1.0/set-payload.schema.json) zu verwenden.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/366))

## 2022-03-24
### Zustelldienst 1.5.4
- Es wurde ein Bug behoben bei dem konfigurierte ausgehende Proxies nicht verwendet wurden.

### Zustelldienst 1.5.3
- Zugriff auf Einreichungen und Anlagen überarbeitet. Ein Empfänger sieht nur noch Einreichungen und deren Anlagen im Status Submitted oder Forwarded je nach API Endpunkt.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/25))

### Security Event Token Payload 1.0.0
- Das [SET Payload Schema 1.0.0](https://schema.fitko.de/fit-connect/set-payload/1.0.0/set-payload.schema.json) wurde
  veröffentlicht. Inhaltlich entspricht es dem [SET Payload Schema 0.1.0](https://schema.fitko.de/fit-connect/set-payload/0.1.0/set-payload.schema.json).
  Beide Versionen sollen bis auf Weiteres unterstützt werden, jedoch planen wir schon die Version `0.1.0` zeitnah zu
  deprecated.

## 2022-03-21
### Zustelldienst 1.5.0, 1.5.1
- Zuordnung von Public Keys zu Destinations wird hergestellt. Achtung: Hierbei handelt es sich um einen Breaking Change,
  bei dem die Zustelldienstdatenbank inclusiver aller Zustellpunkte, Einreichungen, Ereignisse und Public Keys gelöscht
  werden
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/288))
- `SQL Fehler bei der Wiederverwendung von Schlüsseln` behoben. Nun können Public Keys für mehrere Zustellpunkte
  gleichzeitig verwendet werden.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/264))
- Bug `Aktualisierter Schlüssel wird nicht hinterlegt` behoben
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/251))
- Aktualisierung der Submission-API-Version auf `1.0.7` (keine technischen Veränderungen)

### Zustelldienst 1.4.1
- `DVDV Anbindungs URL Validierung Fehler` behoben
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/146))

### Zustelldienst 1.4.0
- Anbindung des DVDV. Damit der Routingdienst Informationen über einen Zustellpunkt beim DVDV abfragen kann, wurde eine
  Anbindung des Zustelldienstes an die DVDV-API zur Übertragung von technischen Parametern der Zustellpunkte
  (Verschlüsselungszertifikat, Fachdatenschema, etc.) umgesetzt.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/146))

## 2022-03-17
### Self Service Portal 1.3.4
- Bug `Aktualisierter Schlüssel wird nicht hinterlegt` behoben
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/251))
- Bug `Destinations können nicht aktiviert werden` behoben
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/363))

## 2022-03-10
### Zustelldienst OAuth Token Validator 1.0.1
- Beheben eines Authentikations-Problems bei dem valide OAuth Tokens nicht akzeptiert wurden.

### Self Service Portal 1.3.3
- Bug `Aktualisierter Schlüssel wird nicht hinterlegt` behoben
 ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/251))
  - Leider fehlerhaft und verursachte ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/363))

### Self Service Portal 1.3.2
- Security Feature: Das Self Service Portal wird über einen Docker Container ausgeliefert. Dieser Docker Container nutzt
  nun einen "non-root" Nutzer für den Betrieb der Software um die Angriffsoberfläche zu reduzieren und die Sicherheit zu
  erhöhen.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/44))

### Zustelldienst 1.3.3
- Feature: Die Zustellung von `Callbacks` wird wiederholt solange diese nicht erfolgreich versendet werden können. Mehr
  dazu finden Sie im Artikel [Empfangsbestätigung oder Zurückweisung](sending/accept-reject.mdx)
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/76))

### Zustelldienst 1.3.2
- Bugfix für den `Die erste Einreichung schlägt fehl` Fehler
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/303))

### Zustelldienst 1.3.1
- Die Reihenfolge der Ereignisse im Ereignis-Log für einen Einreichungsvorgang wurde von "Aufsteigend basiert auf der
  Ereignis Id und gruppiert basierend auf der Einreichungsid" zu "Aufsteigend basiert auf der Ereignis Id" geändert
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/279))
- Security Feature: Der Zustelldienst wird über einen Docker Container ausgeliefert. Dieser Docker Container nutzt
  nun einen "non-root" Nutzer für den Betrieb der Software um die Angriffsoberfläche zu reduzieren und die Sicherheit zu
  erhöhen.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/44))
- `SQL Fehler bei der Wiederverwendung von Schlüsseln` durch eine bessere Fehlermeldung addressiert.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/264))
- Es wurde ein Fehler behoben, bei dem in seltenen Fällen kurzzeitig eine unterschieddliche Anzahl an absoluten
  Einreichungen und verfügbaren Einreichungen im selben Auflistungs Request bestand. Das gleiche Problem wurde für die
  Auflistung an Zustellpunkten und Einreichungsvorgang Ereignis-Log Einträgen behoben.

### Dokumentation
- Erlaubte Schlüsselverwendungen in den [Vorgaben für kryptographische Verfahren](./details/crypto.md) ergänzt.

### Submission API 1.0.7
- Dokumentation zu Event Logs verbessert
- Nutzungsbedingungen verlinkt

## 2022-03-08
### Dokumentation
- Informationen zur wiederholten Zustellung von Callbacks in den Artikeln [Vorhandensein neuer Einreichungen prüfen](./receiving/notification.mdx) und [Empfangsbestätigung oder Zurückweisung](./sending/accept-reject.mdx)

## 2022-03-07
### Dokumentation
- [Anleitung zur Nutzung der FIT-Connect CLI-Tools](./details/jwk-creation.md) aktualisiert

## 2022-03-01
### Dokumentation
- [Code-Beispiele zum Verschlüsseln von Daten](./sending/encrypt.mdx) gemäß den [Vorgaben für krytographischen Verfahren](./details/crypto.md) angepasst (Korrektur JWE-Header-Attribute).

## 2022-02-22
### Zustelldienst 1.3.0
- Story: Prüfung von Events im Zustelldienst:
  Die Liste der Prüfungen, denen Security Event Token unterzogen werden, wurde erweitert.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/297))

### Dokumentation
- [Fehlertyp `security-event-token-validation`](./status-and-error-codes.md#fachliche-fehler) dokumentiert.

### Submission API 1.0.6
- Statuscode 422 für die Endpunkte `POST /v1/submissions` und `POST /v1/cases/{caseId}/events` dokumentiert.

## 2022-02-07
### Dokumentation
- Hinweise zur [Signaturprüfung der vom DVDV gelieferten Zustellpunkt-Parameter](./sending/get-destination.mdx#checkDestinationParametersSignature) ergänzt

## 2022-02-03
### Zustelldienst 1.2.0
- Story: Der Zustelldienst schreibt nun zusätzliche Infos in die Events `submit-submission` und `notify-submission`.
  Die Events enthalten jetzt eine Referenz (`$schema`) auf das zugehörige Schema.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/210))

### Dokumentation
- Die [Beschreibung des Ereignisprotokolls](getting-started/event-log/overview.mdx) wurde in mehrere Seiten aufgeteilt.
- Die [Liste der Ereignisse](getting-started/event-log/events.mdx) wurde um die Beschreibung der Payloads erweitert.
- Umgang mit [Empfangsbestätigung oder Zurückweisung](sending/accept-reject.mdx) ergänzt.
- [Einreichung überprüfen](receiving/verification.mdx) ergänzt.

## 2022-01-19
### Dokumenation
- [Aufbau der Zustellpunkt-Informationen](./sending/get-destination.mdx#destination-object) überarbeitet

## 2022-01-17
### Dokumentation
- [Kontaktmöglichkeiten](/contact) überarbeitet

##  2022-01-11
### Dokumentation
- [Abschnitt zur Pflege der FIT-Connect „destinationSignatur“ in FIM-Redaktionssytemen](./organisation-tasks/subscriber#signierte-adressierungsinformationen) ergänzt

### Self Service Portal 1.3.1
- Fix: Anpassung des Address Export und Zustelldienst Signature Typs um dem JWT Standard besser gerecht zu werden (`JWT` statt `jwt`)

### Self Service Portal 1.3.0
- Story: Das Self-Service-Portal stellt jetzt unter `/v1/delivery-services` eine JWS mit den Hostnamen aller Zustelldienste bereit
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/172))

##  2021-12-14
### Submission API 1.0.5
- Der Content-Type für das Senden von Events wurde korrigiert.

## 2021-12-10
### Self Service Portal 1.2.2
- Bugfixes für: Statusmodell einer Destination
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/18))

### Zustelldienst 1.1.1
- Bugfixes für: Statusmodell einer Destination
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/18))
- Callback-Aufrufe können nun über einen Proxy geleitet werden.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/298))
- Aktualisierung der Submission-API-Version auf `1.0.4` (keine technischen Veränderungen)

##  2021-12-02
### Self Service Portal 1.2.1
- Bugfix: Aktualisierung von Services über das Self-Service-Portal ist nicht möglich
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/282))

##  2021-12-01
### Submission API 1.0.4
- Es wurden kaputte Links in der API-Spezifikation korrigiert.

### Self Service Portal 1.2.0
- Story: Zugang zur Produktivumgebung auf Basis von Gruppenzugehörigkeit
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/6))

##  2021-11-29
### Self Service Portal 1.1.0 / 1.1.1
- Story: Export von Zustellpunkt Adressierungsinformationen als JWS
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/175))

##  2021-11-23
### Zustelldienst 1.0.3
- Bugfix: Nicht-erfolgreiche Callback-Aufrufe dürfen nicht zu einem Fehler führen.
  ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/207))
- Aktualisierung der Submission-API-Version auf `1.0.3` (keine technischen Veränderungen)

##  2021-11-18
### Self Service Portal 1.0.2
- Bugfix: Alle Links zur Dokumentations auf der Zustellpunkt Erstell und Bearbeiten Seite von der Version ´next´ zu ´v1´ geändert.
- Bugfix: Der Link zur Urn Verwaltungsleistung Suche auf der Zustellpunkt Erstell und Bearbeiten Seite wurde korrigiert

##  2021-11-17
### Zustelldienst 1.0.2
- Bugfix: Es wurde der Inhalt des `type` Felds gefixt, der bei der Callback-Übermittelung an einen Zustellpunkt verwendet wird.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/233))
- Bugfix: Der Endpunkt `POST /v1/submissions/{submissionId}` wurde gemäß der aktuellen API-Spezifikation nach `POST /v1/cases/{caseId}` verlegt.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/244))

## 2021-11-15
### Submission API 1.0.3
- Der Wert `created` für den Status wurde aus dem `PATCH`-Endpunkt entfernt. ([Bug](https://git.fitko.de/fit-connect/planning/-/issues/238))

Die Version 1.0.2 wurde zurückgezogen und durch 1.0.3 ersetzt. Version 1.0.3 ist gleichwertig zu 1.0.1

## 2021-11-11
### Submission API 1.0.1
- Die Callback URIs wurden korrigiert, so dass sie jetzt die `submission-api` enthalten.

## 2021-11-10
### Metadata Schema 1.0.0
  - [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) wurde released

### Self Service Portal 1.0.1
  - Die auswählbare unterstütze Metadaten Version `0.9.6` bei Zustellpunkten wurde deprecated und entfernt. Sie wird durch die neu releaste [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) ersetzt.
    ([Story](https://git.fitko.de/fit-connect/planning/-/issues/232))

### Zustelldienst 1.0.1
- Die auswählbare unterstütze Metadaten Version `0.9.6` bei Zustellpunkten wurde deprecated und entfernt.
  Sie wird durch die neu releaste [Version 1.0.0](https://schema.fitko.de/fit-connect/metadata/1.0.0/) ersetzt.
  Alle bestenden Zustellpunkte werden automatisch von Version `0.9.6` auf `1.0.0` migriert.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/232))
- Bugfix: Es wurde gefixt, dass bei einer erfolgreichen Einreichung nicht mehr der Sender, sondern der Empfänger über den Callback benachrichtig wird.
  ([Story](https://git.fitko.de/fit-connect/planning/-/issues/234))

## 2021-11-05
### Submission API 1.0.0
:::caution
Diese Version beinhaltet **breaking changes** für bestehende Nutzer der Beta 6 und Beta 7 der Submission API
:::

Mit der Version 1.0.0 der Submission API wurden grundlegende Änderungen am Verschlüsselungskonzept und Statusmodell durchgeführt. Zudem wurden viele Endpunkte nicht abwärtskompatibel überarbeitet.

Für bestehende Nutzer der Beta 6 und Beta 7 wird daher dringend empfohlen, sich vollständig mit der Dokumentation der API Version 1.0.0 auseinanderzusetzen, um ein Upgrade auf die neue Version der Submission API zu planen.

Sollten dennoch Fragen zur Migration auf die Version 1.0.0 offen bleiben, können Sie sich an das Service Desk wenden: [fit-connect-support ät fjd.de](mailto:fit-connect-support@fjd.de)
