module.exports = {
  defaultSidebar: [
    'intro',
    {
      type: 'category',
      label: 'FIT-Connect nutzen',
      collapsed: true,
      items: [
        'use_cases/sender',
        'use_cases/receiver',
      ]
    },
    {
      type: 'category',
      label: 'Infos für Entscheider:innen',
      collapsed: true,
      items: [
        'organisation-tasks/video-entscheider',
        {
          type: 'doc',
          id: 'organisation-tasks/bidiko-entscheider', // document ID
          label: 'Dialog während der Antragsbearbeitung', // sidebar label
        }        
      ]
    },
    {
      type: 'category',
      label: 'Infos für Verantwortliche',
      collapsed: true,
      items: [
        /*
        'organisation-tasks/video-verantwortliche',
        */
        {
          type: 'category',
          label: 'Leitfaden zur Anbindung von Onlinediensten',
          collapsed: true,
          items: [
            'organisation-tasks/leitfaden-onlinedienst-ueberblick',
            'organisation-tasks/sender',
          ],
        },
        {
          type: 'category',
          label: 'Leitfaden zur Anbindung von Fachverfahren',
          collapsed: true,
          items: [
            'organisation-tasks/leitfaden-fachverfahren-ueberblick',
            'organisation-tasks/subscriber',
            'organisation-tasks/certificates',
            'organisation-tasks/routing',
          ],
        },
        {
          type: 'doc',
          id: 'organisation-tasks/bidiko-verantwortliche', // document ID
          label: 'Bidirektionale Kommunikation', // sidebar label
        } 
      ]
    },
    {
      type: 'category',
      label: 'Infos für Entwickler:innen',
      items: [
        {
          type: 'category',
          label: 'Leitfäden zur Anbindung an FIT-Connect',
          items: [
            'leitfaeden/integration-guide-sender',
            'leitfaeden/integration-guide-subscriber'           
          ]
        },
        'getting-started/get-started',
        'getting-started/environments',
        'getting-started/account',
        'getting-started/authentication',
        {
          type: 'category',
          label: 'Struktur einer Einreichung',
          items: [
            'getting-started/submission/structure',
            'getting-started/submission/metadata',
            'getting-started/submission/data',
          ]
        },
        {
          type: 'category',
          label: 'Versand von Einreichungen',
          items: [
            'sending/overview',
            'sending/get-destination',
            'sending/start-submission',
            'sending/metadata',
            'sending/encrypt',
            'sending/attachments',
            'sending/submit',
            'sending/accept-reject',
          ]
        },
        {
          type: 'category',
          label: 'Abruf von Einreichungen',
          items: [
            'receiving/overview',
            'receiving/certificate',
            'receiving/destination',
            'receiving/notification',
            'receiving/download-submission',
            'receiving/decrypt',
            'receiving/verification',
            'receiving/process-and-acknowledge',
          ]
        }, 
        /*     
        {
          type: 'category',
          label: 'Rückkanäle',
          items: [
            'reply-channels/overview',  
            'reply-channels/einstellungen-empfaenger',
            'reply-channels/einstellungen-sender',            
            'reply-channels/metadata',
            'reply-channels/reply-events'
          ]
        },
        */
        {
          type: 'category',
          label: 'Ereignisprotokoll',
          items: [
            'getting-started/event-log/overview',
            'getting-started/event-log/events',
            'getting-started/event-log/get-events',
            'getting-started/event-log/set-creation',
            'getting-started/event-log/set-validation',
          ]
        },
        'getting-started/notifications-and-deletion-deadlines',
        'getting-started/schema-validation',
        'getting-started/encryption',
        'getting-started/rate-limiting',
        'status-and-error-codes',
      ],
    },
    {
      type: 'category',
      label: 'Weiterführende Informationen',
      items: [
        'details/ags',
        'details/ars',
        'details/callbacks',
        'details/crypto',
        'details/jwk-creation',
        'details/destination-management',
        {
          type: 'category',
          label: 'Authentifizierung',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/authentication',
            },
          ],
        },
        /*
        {
          type: 'category',
          label: 'Authentifizierung (intern)',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/infrastructure-docs',
            },
          ],
        },
        */
        'details/responsible-disclosure',
      ]
    },
    'roadmap',
    'glossary',
    'changelog',
    {
      type: 'doc',
      id: 'dashboard', // document ID
      label: 'Dashboard', // sidebar label
    },
    {
      type: 'link',
      label: 'Impressum',
      href: 'https://www.fitko.de/impressum',
    }
    
    /*,
    {
      type: 'link',
      label: 'Föderales Entwicklungsportal',
      href: 'https://docs.fitko.de/',
    }
    */
   
  ],

  metadataSidebar: [
    'metadata/overview',
    'metadata/authenticationInformation',
    'metadata/paymentInformation',
    'metadata/publicServiceType',
    'metadata/contentStructure',
    'metadata/replyChannel',
    'metadata/additionalReferenceInfo'
  ],

  sdksSidebar: [
    {
      type: 'doc',
      label: 'SDKs Überblick',
      id: 'sdks/overview'
    },
    {
      type: 'category',
      label: '.NET-SDK',
      collapsed: true,
      items: [
        {
          type: 'doc',
          label: 'Überblick',
          id: 'sdks/net-sdk/overview'
        },
        {
          type: 'category',
          label: 'Sender',
          collapsed: true,
          items: [
            {
              type: 'doc',
              label: 'Sender entwickeln',
              id: 'sdks/net-sdk/sender',
            },
            {
              type: 'doc',
              label: 'Video-Tutorial',
              id: 'sdks/net-sdk/videos-sender',
            }
          ]
        },
        {
          type: 'category',
          label: 'Empfänger',
          collapsed: true,
          items: [
            {
              type: 'doc',
              label: 'Empfänger entwickeln',
              id: 'sdks/net-sdk/receiver',
            },
            {
              type: 'doc',
              label: 'Video-Tutorial',
              id: 'sdks/net-sdk/videos-receiver',
            }
          ]
        },        
        {
          type: 'doc',
          label: 'Changelog',
          id: 'sdks/net-sdk/changelog',
        }   
      ]
    },
    {
      type: 'category',
      label: 'Java-SDK',
      collapsed: true,
      items: [
        {
          type: 'doc',
          label: 'Überblick',
          id: 'sdks/java-sdk/overview'
        },
        {
          type: 'category',
          label: 'Sender',
          collapsed: true,
          items: [
            {
              type: 'doc',
              label: 'Sender entwickeln',
              id: 'sdks/java-sdk/sender'
            },
            {
              type: 'doc',
              label: 'Video-Tutorials',
              id: 'sdks/java-sdk/videos-sender'
            }
          ]}, 
          {
            type: 'category',
            label: 'Empfänger',
            collapsed: true,
            items: [
              {
                type: 'doc',
                label: 'Empfänger entwickeln',
                id: 'sdks/java-sdk/receiver'
              }, 
              {
                type: 'doc',
                label: 'Video-Tutorials',
                id: 'sdks/java-sdk/videos-receiver',
              }
            ]
          },
        
        {
          type: 'doc',
          label: 'Changelog',
          id: 'sdks/java-sdk/changelog',
        }        
      ]
    },
    {
      type: 'category',
      label: 'Javascript-SDK',
      collapsed: true,
      items: [
        {
          type: 'doc',
          label: 'Überblick',
          id: 'sdks/javascript-sdk/overview'
        },
        
        /*{
          type: 'doc',
          label: 'Changelog',
          id: 'sdks/javascript-sdk/changelog',
        }

        */
      ]
    }
  ]
}
