import '../css/additional/custom.css';

import React, { useEffect, useState } from "react";

import CardDashboard from '@components/CardDashboard';

function Dashboard() {

     const [data, setData] = useState({"dev":{"delivery-service":"-","delivery-service-config":"-","oauth":"-","oauth-latest":"-","ssp":"-","ssp-api":"-","ssp-config":"-","submission-api":"-"},"prod":{"delivery-service":"-","delivery-service-config":"-","oauth":"-","oauth-latest":"14.4","routing-api":"-","routing-service":"-","ssp":"-","ssp-api":"-","ssp-config":"-","submission-api":"-"},"stage":{"delivery-service":"-","delivery-service-config":"-","oauth":"-","oauth-latest":"-","ssp":"-","ssp-api":"-","ssp-config":"2.0.3","submission-api":"-"},"test":{"delivery-service":"-","delivery-service-config":"-","oauth":"-","oauth-latest":"-","routing-api":"-","routing-service":"-","ssp":"-","ssp-api":"-","ssp-config":"-","submission-api":"-"}});
 
     const [dataForNetSdk, setDataForNetSdk] = useState([]);
     
     const [dataForJavaSdk, setDataForJavaSdk] = useState([]);

     const [dataForJavascriptSdk, setDataForJavascriptSdk] = useState([]);

     const [dataForFITConnectTools, setDataForFITConnectTools] = useState([]);


     function displayDeployments() {
        
                //message: "Daten laden ..."
                var errorMessageDiv = document.getElementById("errorMessage");
                errorMessageDiv.innerText = "Daten laden ...";
               
                // Declare all variables
                var i, tabcontent, tablinks;

                // Get all elements with class="tabcontent" and hide them
                tabcontent = document.getElementsByClassName("dashboard__tabcontent");
                for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
                }

                // Get all elements with class="tablinks" and remove the class "active"
                tablinks = document.getElementsByClassName("tablinks");
                for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
                }

                // Show the current tab, and add an "active" class to the button that opened the tab
                document.getElementById('deploymentsDiv').style.display = "block";
                document.getElementById('deploymentsDiv').className += " active";

                fetch('https://dashboard.fit-connect.fitko.dev/api/v1/versions')
                .then(res => res.json())
                .then((dataReceived) => {    
                        setData(dataReceived); 
                        var errorMessageDiv = document.getElementById("errorMessage");
                        errorMessageDiv.innerText = "";                                               
                        })
                .catch((err) => {

                var errorMessageDiv = document.getElementById("errorMessage");
                errorMessageDiv.innerText = "Es ist ein Problem aufgetreten: Aktuelle Daten können nicht geladen werden.";
                
                } )
        }

        function displaySdks() {

                //message: "Daten laden ..."
                var errorMessageDiv = document.getElementById("errorMessage");
                errorMessageDiv.innerText = "Daten laden ...";
               
                // Declare all variables
                var i, tabcontent, tablinks;

                // Get all elements with class="tabcontent" and hide them
                tabcontent = document.getElementsByClassName("dashboard__tabcontent");
                for (i = 0; i < tabcontent.length; i++) {
                tabcontent[i].style.display = "none";
                }

                // Get all elements with class="tablinks" and remove the class "active"
                tablinks = document.getElementsByClassName("tablinks");
                for (i = 0; i < tablinks.length; i++) {
                tablinks[i].className = tablinks[i].className.replace(" active", "");
                }

                // Show the current tab, and add an "active" class to the button that opened the tab
                document.getElementById('sdksDiv').style.display = "block";
                document.getElementById('sdksDiv').className += " active";


                // Fetch data from .NET-SDK project in GitLab
                fetch('https://git.fitko.de/api/v4/projects/116/repository/tags?order_by=updated')

                .then(res => {
                        return res.json()
                })
                .then((dataReceived) => {    
                        setDataForNetSdk(dataReceived[0].name); 
                                
                })               
                .catch((err) => {

                        var errorMessageDiv = document.getElementById("errorMessage");
                        errorMessageDiv.innerText = "Es ist ein Problem aufgetreten: Aktuelle Daten können nicht geladen werden.";
                } );


                // Fetch data from Java-SDK project in GitLab
                fetch('https://git.fitko.de/api/v4/projects/117/repository/tags?order_by=updated')

                .then(res => {
                        return res.json()
                })
                .then((dataReceived) => {    
                        setDataForJavaSdk(dataReceived[0].name); 

                                                        
                })               
                .catch((err) => {

                        var errorMessageDiv = document.getElementById("errorMessage");
                        errorMessageDiv.innerText = "Es ist ein Problem aufgetreten: Aktuelle Daten können nicht geladen werden.";
                } );


                 // Fetch data from JavaScript-SDK project in GitLab
                 fetch('https://git.fitko.de/api/v4/projects/118/repository/tags?order_by=updated')

                 .then(res => {
                         return res.json()
                 })
                 .then((dataReceived) => {    
                         setDataForJavascriptSdk(dataReceived[0].name); 
 
                                                        
                 })               
                 .catch((err) => {
 
                         var errorMessageDiv = document.getElementById("errorMessage");
                         errorMessageDiv.innerText = "Es ist ein Problem aufgetreten: Aktuelle Daten können nicht geladen werden.";
                 } );

                 
                 // Fetch data from FIT-Connect Tools  project in GitLab
                 fetch('https://git.fitko.de/api/v4/projects/61/repository/tags?order_by=updated&private_token=glpat-sNSrmhVA55HKaEzLpALn', {

                 headers: {
                         'Authorization': `Bearer glpat-sNSrmhVA55HKaEzLpALn`,
                         'Content-Type': 'application/x-www-form-urlencoded'
                     },
          })

                 .then(res => {
                         return res.json()
                 })
                 .then((dataReceived) => {    
                        
                        setDataForFITConnectTools(dataReceived[0].name); 
                                                       
                 })               
                 .catch((err) => {
 
                         var errorMessageDiv = document.getElementById("errorMessage");
                         errorMessageDiv.innerText = "Es ist ein Problem aufgetreten: Aktuelle Daten können nicht geladen werden.";
                 } );
        }

             
         
   useEffect( () => {   
     
        document.getElementById("deploymentsDiv").style.display = "block";
        document.getElementById("deploymentsButton").className += " active";
        
        displayDeployments();

   },[]);
  
  
  

      return (

       
        
        <div>
                <br/>                
                <div>
                <div className ="dashboard__tab">
                <button id="deploymentsButton" className="tablinks" onClick={displayDeployments}>Deployments</button>
                <button id="sdksButton" className="tablinks" onClick={displaySdks}>SDKs</button>
                </div>
            
                <div id="deploymentsDiv" className="dashboard__tabcontent">
                
                <br/>
                <div>
                <p>Die folgende Übersicht zeigt die Versionen der aktuell deployten Dienste in den einzelnen<a href="getting-started/environments"> Umgebungen </a> der  FIT-Connect-Infrastruktur.  <br/>                     
                   Die Seite <a href="changelog/">Changelog</a> informiert Sie über Details zu den verschiedenen Versionen der Dienste.
                </p>

             
                <h2>Environment: PROD</h2>

                <div id="errorMessage"></div>

                <div id="flex-container">

                <CardDashboard title="Zustelldienst" version={data.prod['delivery-service']}/>
                <CardDashboard title="Submission API" version={data.prod['submission-api']}/>
                <CardDashboard title="Self-Service-Portal" version={data.prod.ssp}/>
                <CardDashboard title="Self-Service API" version={data.prod['ssp-api']}/>
                <CardDashboard title="OAuth Server" version={data.prod.oauth}/>
                <CardDashboard title="Routingdienst" version={data.prod['routing-service']}/>
                <CardDashboard title="Routing API" version={data.prod['routing-api']}/>          
                
                </div>

                <br/>
                <h2>Environment: STAGE</h2>

                <div id="flex-container">

                <CardDashboard title="Zustelldienst" version={data.stage['delivery-service']}/>
                <CardDashboard title="Submission API" version={data.stage['submission-api']}/>
                <CardDashboard title="Self-Service-Portal" version={data.stage.ssp}/>
                <CardDashboard title="Self-Service API" version={data.stage['ssp-api']}/>
                <CardDashboard title="OAuth Server" version={data.stage.oauth}/>
                <CardDashboard title="Routingdienst" version='-'/>
                <CardDashboard title="Routing API" version='-'/> 

                </div> 

                <br/>
                <h2>Environment: TEST</h2>

                <div id="flex-container">

                <CardDashboard title="Zustelldienst" version={data.test['delivery-service']}/>
                <CardDashboard title="Submission API" version={data.test['submission-api']}/>
                <CardDashboard title="Self-Service-Portal" version={data.test.ssp}/>
                <CardDashboard title="Self-Service API" version={data.test['ssp-api']}/>
                <CardDashboard title="OAuth Server" version={data.test.oauth}/>
                <CardDashboard title="Routingdienst" version={data.test['routing-service']}/>
                <CardDashboard title="Routing API" version={data.test['routing-api']}/> 

                </div> 
                
                <br/>
                <h2>Environment: DEV (internal)</h2>

                <div id="flex-container">

                <CardDashboard title="Zustelldienst" version={data.dev['delivery-service']}/>
                <CardDashboard title="Submission API" version={data.dev['submission-api']}/>
                <CardDashboard title="Self-Service-Portal" version={data.dev.ssp}/>
                <CardDashboard title="Self-Service API" version={data.dev['ssp-api']}/>
                <CardDashboard title="OAuth Server" version={data.dev.oauth}/>
                <CardDashboard title="Routingdienst" version='-'/>
                <CardDashboard title="Routing API" version='-'/> 

                </div> 

 
</div>
                </div>
            
                <div id="sdksDiv" className="dashboard__tabcontent">
                <br/>
                <div>

                                   

                <p>Die folgende Übersicht zeigt die Versionen der aktuell deployten Software Development Kits (SDKs) für FIT-Connect 
                        sowie die Versionen der Entwicklungstools.
                </p>

                <h2>SDKs und Entwicklungstools</h2>
                
                <div id="errorMessage"></div>
        
                <div id="flex-container">

                        <CardDashboard title=".NET-SDK" version={dataForNetSdk}/>
                        <CardDashboard title="Java-SDK" version={dataForJavaSdk}/>
                        <CardDashboard title="JavaScript-SDK" version='noch nicht verfügbar'/>
                        <CardDashboard title="Python Scripts" version={dataForFITConnectTools}/>                       
                     
                </div> 
   
                </div>
                </div>

                <script src="../../scripts/dashboard.js"></script>

        </div>

</div>
           
            );

      
      

}

export default Dashboard;

   

